Package org.apache.sling.jcr.contentloader.internal.readers

# Class XmlReader.PropertyDescription

java.lang.Object
org.apache.sling.jcr.contentloader.internal.readers.XmlReader.PropertyDescription

Enclosing class:
  XmlReader

protected static final class XmlReader.PropertyDescription extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final XmlReader.PropertyDescription`
`SHARED`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PropertyDescription()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addValue(String v)`
`static XmlReader.PropertyDescription`
`create(XmlReader.PropertyDescription desc, ContentCreator creator)`
`String`
`getName()`
`String`
`getType()`
`List<String>`
`getValues()`
`boolean`
`isMultiValue()`
`void`
`setMultiValue(boolean isMultiValue)`
`void`
`setName(String name)`
`void`
`setType(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHARED

public static final XmlReader.PropertyDescription SHARED

## Constructor Details

### PropertyDescription

protected PropertyDescription()

## Method Details

### create

public static XmlReader.PropertyDescription create(XmlReader.PropertyDescription desc, ContentCreator creator) throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### getName

public String getName()

### setName

public void setName(String name)

### getType

public String getType()

### setType

public void setType(String type)

### isMultiValue

public boolean isMultiValue()

### setMultiValue

public void setMultiValue(boolean isMultiValue)

### getValues

public List<String> getValues()

### addValue

public void addValue(String v)